Subject: [Dots] Adoption call for draft-nishizuka-dots-signal-control-filtering-06

From: "Valery Smyslov" <[email-masked]>
Date: Mon, 8 Apr 2019 18:28:48 +0300

Hi all,

the chairs recently received an adoption request for draft-nishizuka-dots-signal-control-filtering-06.

This message starts a two-week adoption call for draft-nishizuka-dots-signal-control-filtering-06.
The call ends up on Tuesday, April the 23rd.

Please send your opinion regarding adoption of this document to the list before this date.
If you think the draft should be adopted, please indicate whether you're willing 
to review it/to work on it. If you think the draft should not be adopted, please explain why.

Regards,
Frank & Valery.

---

From: "Teague, Nik" <[email-masked]>
Date: Mon, 8 Apr 2019 15:31:55 +0000

Hi,

I support adoption of this draft.

Thanks,

-Nik

> -----Original Message-----
> From: Dots <[email-masked]> On Behalf Of Valery Smyslov
> Sent: Monday, April 08, 2019 4:29 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [EXTERNAL] [Dots] Adoption call for draft-nishizuka-dots-signal-
> control-filtering-06
> 
> Hi all,
> 
> If you think the draft should be adopted, please indicate whether you're
> willing to review it/to work on it. If you think the draft should not be
> adopted, please explain why.
> 
> Regards,
> Frank & Valery.
> 
> 
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots

---

From: "Jon Shallow" <[email-masked]>
Date: Mon, 8 Apr 2019 16:51:47 +0100

Hi,

I support the adoption of this draft

Regards

Jon

> From: Dots [mailto: [email-masked]] On Behalf Of Valery
> Smyslov
> Sent: 08 April 2019 16:29
> To: [email-masked]
> Subject: [Dots] Adoption call for
draft-nishizuka-dots-signal-control-filtering-
> 06
> This message starts a two-week adoption call for
draft-nishizuka-dots-signal-
> control-filtering-06.
> willing

---

From: Andrew Mortensen <[email-masked]>
Date: Wed, 10 Apr 2019 10:35:49 -0400

> On Apr 8, 2019, at 11:28 AM, Valery Smyslov <[email-masked]> wrote:
> 
> Hi all,
>

---

From: "Panwei (William)" <[email-masked]>
Date: Mon, 15 Apr 2019 03:07:28 +0000

Hi,

Best Regards
Wei Pan

-----Original Message-----
From: Dots [mailto:[email-masked]] On Behalf Of Valery Smyslov
Sent: Monday, April 08, 2019 11:29 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Dots] Adoption call for draft-nishizuka-dots-signal-control-filtering-06

Hi all,

Please send your opinion regarding adoption of this document to the list before this date.
If you think the draft should be adopted, please indicate whether you're willing to review it/to work on it. If you think the draft should not be adopted, please explain why.

Regards,
Frank & Valery.

---

From: Dan Wing <[email-masked]>
Date: Mon, 15 Apr 2019 11:04:52 -0700

Nit: I am nervous it is unnecessarily re-stating normative behavior in its Section 3.2.1 -- normative behavior of acl-name and activation-type which should only be located in draft-ietf-dots-data-channel.  It's difficult to tell if the subtle word differences are intended to change behavior or simply restate the behavior described in draft-ietf-dots-data-channel.  I would just remove the text that mimics draft-ietf-dots-data-channel and simply point off to draft-ietf-dots-data-channel.

-d

> On Apr 8, 2019, at 8:28 AM, Valery Smyslov <[email-masked]> wrote:
> 
> Hi all,
>

---

From: <[email-masked]>
Date: Tue, 16 Apr 2019 08:40:12 +0000

Hi Dan, 

Thank you for the comment. 

Some of the text is provided as a reminder to ease the readability of the document, while some (new) text (e.g., "Note that both 'immediate' and 'activate-when-mitigating' have an immediate effect when a mitigation request is being processed by the DOTS server.") is specific to the signal channel. 

A first attempt to tweak the text and avoid the potential confusion you raised is available at: 

https://github.com/boucadair/filter-control/blob/master/wdiff%20draft-nishizuka-dots-signal-control-filtering-06.txt%20draft-nishizuka-dots-signal-control-filtering-06.pdf 

Cheers,
Med

> -----Message d'origine-----
> De : Dots [mailto:[email-masked]] De la part de Dan Wing
> Envoyé : lundi 15 avril 2019 20:05
> À : Valery Smyslov
> Cc : [email-masked]; [email-masked]; [email-masked]
> Objet : Re: [Dots] Adoption call for draft-nishizuka-dots-signal-control-
> filtering-06
> 
> Nit: I am nervous it is unnecessarily re-stating normative behavior in its
> Section 3.2.1 -- normative behavior of acl-name and activation-type which
> should only be located in draft-ietf-dots-data-channel.  It's difficult to
> tell if the subtle word differences are intended to change behavior or simply
> restate the behavior described in draft-ietf-dots-data-channel.  I would just
> remove the text that mimics draft-ietf-dots-data-channel and simply point off
> to draft-ietf-dots-data-channel.
> 
> -d
> 
>

---

From: Dan Wing <[email-masked]>
Date: Tue, 16 Apr 2019 09:08:14 -0700

Thanks.
-d

> On Apr 16, 2019, at 1:40 AM, <[email-masked]> <[email-masked]> wrote:
> 
> Hi Dan, 
>

---

From: 林 裕平 <[email-masked]>
Date: Thu, 18 Apr 2019 09:56:41 +0900

Hi all,

Thanks,
Yuhei

> Sent: Tuesday, April 09, 2019 12:29 AM
> To: [email-masked]

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Thu, 18 Apr 2019 13:00:53 +0000

I support the adoption of this draft (especially with the continuous increase in internal attacks).

Cheers,
-Tiru

> Sent: Monday, April 8, 2019 8:59 PM
> To: [email-masked]
> willing to review it/to work on it. If you think the draft should not be adopted,
> please explain why.
> 
> Regards,
> Frank & Valery.
> 
>

---

From: "Valery Smyslov" <[email-masked]>
Date: Wed, 24 Apr 2019 08:04:08 +0300

Hi,

we received a lot of replies supporting adoption of the document.
So, the document is adopted. Authors, please re-submit it as WG draft.

One comment.
The draft uses few times a keyword "MAY NOT". This combination is not
among the list of RFC requirement keywords (it is not listed neither
in RFC2119, nor in RFC8174). If the intent was to use RFC requirement
language, then I'd suggest replacing it with one of MUST NOT, SHALL NOT,
SHOULD NOT. Otherwise please make it lowcase.

Regards,
Valery.

willing
> to review it/to work on it. If you think the draft should not be adopted,
please
> explain why.

---

From: <[email-masked]>
Date: Wed, 24 Apr 2019 05:20:40 +0000

Hi Valery, 

Will do. Thanks. 

I fail to see where "MAY NOT" is used in the draft. 

Cheers,
Med

> De : Dots [mailto:[email-masked]] De la part de Valery Smyslov
> Envoyé : mercredi 24 avril 2019 07:04
> À : [email-masked]
> Cc : [email-masked]; [email-masked]

---

From: "Valery Smyslov" <[email-masked]>
Date: Wed, 24 Apr 2019 08:40:23 +0300

Hi Med,

> I fail to see where "MAY NOT" is used in the draft.

You are right, it is used uppercase only in home-network draft.
I read both the drafts a while ago and probably mixed up 
the references when checking this.

Thank you,
Valery.

> > Envoyé : mercredi 24 avril 2019 07:04 À : [email-masked] Cc :
> > [email-masked]; [email-masked] Objet : Re: [Dots] Adoption call
> > for draft-nishizuka-dots-signal-control-
> > filtering-06
> >
> > Hi,
> >
> > language, then I'd suggest replacing it with one of MUST NOT, SHALL
> > NOT, SHOULD NOT. Otherwise please make it lowcase.
> >
> > Regards,
> > Valery.
> >
> > > Hi all,
> > >
> > > the chairs recently received an adoption request for
> > > draft-nishizuka-dots- signal-control-filtering-06.
> > >